apiVersion: apps/v1
kind: Deployment
metadata:
  name: soularr
  namespace: stack-arr
spec:
  replicas: 1
  selector:
    matchLabels:
      app: soularr
  template:
    metadata:
      labels:
        app: soularr
    spec:
      imagePullSecrets:
      - name: regcred
      containers:
      - name: soularr
        image: mrusse08/soularr:latest
        securityContext:
          capabilities:
            add:
              - NET_ADMIN
        env:
        - name: PUID
          value: "1013"
        - name: PGID
          value: "1013"
        - name: TZ
          value: 'Etc/UTC'
        - name: SCRIPT_INTERVAL
          value: '300'
        volumeMounts:
        - name: downloads
          mountPath: /downloads
        - name: config
          mountPath: /data
      volumes:
      - name: downloads
        persistentVolumeClaim:
          claimName: qbittorrent-downloads-pvc
      - name: config
        persistentVolumeClaim:
          claimName: soularr-config-pvc




